List aggregated table runs
GET
/
v1
/
fact-tables
/
{id}
/
aggregated-tables
/
runs
cURL
curl -X GET 'https://api.growthbook.io/api/v1/fact-tables/ftb_123/aggregated-tables/runs?idType=user_id' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/fact-tables/{id}/aggregated-tables/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.growthbook.io/api/v1/fact-tables/{id}/aggregated-tables/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"id": "<string>",
"idType": "<string>",
"mode": "incremental",
"status": "queued",
"runStarted": "2023-11-07T05:31:56Z",
"dateCreated": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"queryIds": [
"<string>"
]
}
],
"limit": 123,
"offset": 123,
"count": 123,
"total": 123,
"hasMore": true,
"nextOffset": 123
}Authorizations
bearerAuthbasicAuth
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Path Parameters
The id of the requested resource
Query Parameters
Only return runs for this id type. When omitted, runs for all id types are returned.
The number of items to return
Required range:
1 <= x <= 100How many items to skip (use in conjunction with limit for pagination)
Required range:
x >= 0Was this page helpful?
⌘I
cURL
curl -X GET 'https://api.growthbook.io/api/v1/fact-tables/ftb_123/aggregated-tables/runs?idType=user_id' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/fact-tables/{id}/aggregated-tables/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.growthbook.io/api/v1/fact-tables/{id}/aggregated-tables/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"id": "<string>",
"idType": "<string>",
"mode": "incremental",
"status": "queued",
"runStarted": "2023-11-07T05:31:56Z",
"dateCreated": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"error": "<string>",
"queryIds": [
"<string>"
]
}
],
"limit": 123,
"offset": 123,
"count": 123,
"total": 123,
"hasMore": true,
"nextOffset": 123
}
